Bug 500745 - Need symbols added to KABI whitelist for cmirror-kmod
Need symbols added to KABI whitelist for cmirror-kmod
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
urgent Severity medium
: beta
: ---
Assigned To: Jon Masters
Red Hat Kernel QE team
:
Depends On:
Blocks: 481689 481690
  Show dependency treegraph
 
Reported: 2009-05-13 17:33 EDT by Chris Feist
Modified: 2016-04-26 11:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Feist 2009-05-13 17:33:21 EDT
The following symbols need to be added the the kernel ABI whitelist for cmirror-kmod (or we will be stuck with cmirror-kmod kernel modules that taint the kernel).

ksym(dm_dirty_log_type_unregister) = 325bbd85
ksym(dm_dirty_log_type_register) = 7685cf5
ksym(cn_netlink_send) = b10d55bc
ksym(cn_add_callback) = df3c19ec
ksym(cn_del_callback) = ff5a8cfe
Comment 6 Don Zickus 2009-05-21 11:37:04 EDT
in kernel-2.6.18-150.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 Chris Feist 2009-05-26 11:24:04 EDT
I've verified that this bug is fixed and fixes the cmirror-kmod bugs that depend on it.

Thanks!
Chris
Comment 11 errata-xmlrpc 2009-09-02 04:07:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.